
jQuery(function($) {
	
var speed = 1500; // フェードインスピード
$('.intro').each(function () {
	$(this).stop().animate({
		opacity: 1
	}, speed);
});

/* スマホとタブレットの時はスライドメニュー */
  var windowWidth = $(window).width();
  var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */
  
  if (windowWidth <= windowST) {
	$('#left-menu').sidr({
	  name: 'sidr-left',
	  side: 'left' // By default
	});
	$('#left-menu2').sidr({
	  name: 'sidr-left2',
	  side: 'left' // By default
	});
  } else {
	 $('#left-menu').hide();
	 $('#left-menu2').hide();
  }
  

/* スマホとタブレットの時はスライドメニュー リサイズしたとき */  
$(window).resize(function() {
	var windowWidth = $(window).width();
	var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */

	if (windowWidth <= windowST) {
		$('#left-menu').show();
		$('#left-menu').sidr({
		  name: 'sidr-left',
		  side: 'left' // By default
		});
		$('#left-menu2').show();
		$('#left-menu2').sidr({
		  name: 'sidr-left2',
		  side: 'left' // By default
		});
	} else {
		$('#left-menu').hide();
		$('#sidr-left').removeClass('sidr');
		$('#left-menu2').hide();
		$('#sidr-left2').removeClass('sidr');
	}

});	

var headerHight = 70; //ヘッダの高さ
$('a[href^=#]').click(function(){
	var href= $(this).attr("href");
	var target = $(href == "#" || href == "" ? 'html' : href);
	var position = target.offset().top-headerHight; //ヘッダの高さ分位置をずらす
	$("html, body").animate({scrollTop:position}, 550, "swing");
	return false;
});

$(window).scroll(function(){
	var scrolltop = $(window).scrollTop();
	if (scrolltop>=100) {
		$(".inner-nav").addClass("sticky");
	} else {
		$(".inner-nav").removeClass("sticky");
	}

    var h = $(window).height(); // ウィンドウの高さを取得
	var speed = 400; // フェードインスピード
	$('.pallabox').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ
		var thisShow = thisTop - h / 1.3; //出現位置
		if (scrolltop >= thisShow) {
			$(this).stop().animate({
				opacity: 1
			}, speed);
		} else {
			$(this).stop().animate({
				opacity: 0
			}, speed);
		}
	});
	$('.pic3').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ
		var thisShow = thisTop - h / 1.1; //出現位置
		if (scrolltop >= thisShow) {
			$(this).stop().animate({
				opacity: 1
			}, 400);
		} else {
			$(this).stop().animate({
				opacity: 0
				
			}, 400);
		}
	});
	
	var value = $(window).scrollTop(); //スクロールの値を取得	
	$('#bg-hack').css('top', -(value / 6));
	$('.intro p').css('margin', -(value / 2));
	//$('.box2').css('top', -(value / 6));
	//$('.box4').css('top', -(value / 6));
	
});
});



	